import { Component } from '@angular/core';
import { RouterLink, RouterOutlet } from '@angular/router';

@Component({
  selector: 'app-root',
  standalone: true,
  imports: [RouterOutlet, RouterLink],
   template: `
        <h1>Angularin formit eli lomakkeet</h1>

        <a routerLink="/">Templateform</a> |
        <a routerLink="/templateformv">Validoitu Templateform</a> |
        <a routerLink="/selectform">Templateform jossa select</a> |
        <a routerLink="/reactiveform">Reactiveform</a>
        <!-- vaihtuvat komponentit (spa-näkymät) tulevat <router-outlet> -tagien väliin-->
        <router-outlet></router-outlet>
    `,
  styles: [],
})
export class AppComponent {
  title = 'ang-forms';
}
